package org.gcube.portlets.user.tdcolumnoperation.client.rpc;

import java.util.List;

import org.gcube.portlets.user.tdcolumnoperation.shared.AggregationColumnSession;
import org.gcube.portlets.user.tdcolumnoperation.shared.OperationID;
import org.gcube.portlets.user.tdcolumnoperation.shared.SplitAndMergeColumnSession;
import org.gcube.portlets.user.tdcolumnoperation.shared.TdAggregateFunction;
import org.gcube.portlets.user.tdcolumnoperation.shared.TdOperatorComboOperator;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

/**
 * The client side stub for the RPC service.
 */
@RemoteServiceRelativePath("TdColumnOperationServlet")
public interface TdColumnOperationService extends RemoteService {

	/**
	 * @param operation
	 * @return
	 */
	List<TdOperatorComboOperator> loadOperatorForOperationId(OperationID operation);

	/**
	 * @param operationColumnSession
	 * @throws Exception
	 */
	void startSplitAndMergeOperation(
			SplitAndMergeColumnSession operationColumnSession) throws Exception;

	/**
	 * @return
	 */
	List<TdAggregateFunction> getListAggregationFunctionIds();

	/**
	 * @param aggregationSession
	 * @throws Exception
	 */
	void startGroupByOperation(AggregationColumnSession aggregationSession)
			throws Exception;



}
